Package org.apache.wiki.i18n

## Interface InternationalizationManager

All Known Implementing Classes:
  `DefaultInternationalizationManager`

    public interface InternationalizationManager

Manages all internationalization in JSPWiki.

Since:
  2.6

### Field Summary

Fields
`static java.lang.String` `CORE_BUNDLE` The name of the ResourceBundle which contains any and all JSPWiki core resource strings.
`static java.lang.String` `DEF_TEMPLATE` The name of the ResourceBundle which contains any and all JSPWiki default templates resource strings.

### Method Summary

All Methods Instance Methods Default Methods
`default java.lang.String` `get​(java.lang.String key)` Returns a String from the CORE_BUNDLE using English as the default locale.
`default java.lang.String` `get​(java.lang.String bundle, java.util.Locale locale, java.lang.String key)` If you are too lazy to open your own bundle, use this method to get a string simply from a bundle.
`default java.lang.String` `get​(java.lang.String bundle, java.util.Locale locale, java.lang.String key, java.lang.Object... args)` Obtain a parameterized String from the bundle.
`default java.util.ResourceBundle` `getBundle​(java.lang.String bundle, java.util.Locale locale)` Finds a resource bundle.

### Field Detail

#### CORE_BUNDLE

    static final java.lang.String CORE_BUNDLE

The name of the ResourceBundle which contains any and all JSPWiki core resource strings. It's value is "CoreResources".

See Also:
  Constant Field Values

#### DEF_TEMPLATE

    static final java.lang.String DEF_TEMPLATE

The name of the ResourceBundle which contains any and all JSPWiki default templates resource strings. It's value is "templates.default".

See Also:
  Constant Field Values

### Method Detail

#### get

    default java.lang.String get​(java.lang.String key)
                          throws java.util.MissingResourceException

Returns a String from the CORE_BUNDLE using English as the default locale.

Parameters:
  `key` - Key to find
Returns:
  The English string
Throws:
  `java.util.MissingResourceException` - If there is no such key

#### getBundle

    default java.util.ResourceBundle getBundle​(java.lang.String bundle,
                                               java.util.Locale locale)
                                        throws java.util.MissingResourceException

Finds a resource bundle.

Parameters:
  `bundle` - The ResourceBundle to find. Must exist.
  `locale` - The Locale to use. Set to null to get the default locale.
Returns:
  A localized string
Throws:
  `java.util.MissingResourceException` - If the key cannot be located at all, even from the default locale.

#### get

    default java.lang.String get​(java.lang.String bundle,
                                 java.util.Locale locale,
                                 java.lang.String key)
                          throws java.util.MissingResourceException

If you are too lazy to open your own bundle, use this method to get a string simply from a bundle.

Parameters:
  `bundle` - Which bundle the string is in
  `locale` - Locale to use - null for default
  `key` - Which key to use.
Returns:
  A localized string (or from the default language, if not found)
Throws:
  `java.util.MissingResourceException` - If the key cannot be located at all, even from the default locale.

#### get

    default java.lang.String get​(java.lang.String bundle,
                                 java.util.Locale locale,
                                 java.lang.String key,
                                 java.lang.Object... args)
                          throws java.util.MissingResourceException

Obtain a parameterized String from the bundle.

Parameters:
  `bundle` - Which bundle the string is in
  `locale` - Locale to use - null for default
  `key` - Which key to use.
  `args` - parameters to insert in the String.
Returns:
  A localized string (or from the default language, if not found)
Throws:
  `java.util.MissingResourceException` - If the key cannot be located at all, even from the default locale.